Subject: bug#40241: Acknowledgement (26.1; browse-url, needs to % hex hex encode the hash char)

From: larice <[email-masked]>
Date: Fri, 27 Mar 2020 08:47:28 +0100

Noam Postavsky <[email-masked]> writes:

> larice <[email-masked]> writes:
>
>> My issue is more precisely the following.
>> I've URLs for the search engine of "murata" which look like:
>>   http://www.murata.com/en-global/products/productdetail?partno=GRM21BR61E226ME44#
>> At first sight this looks well, but note the trailing '#'.
>> When I enter this interactively into firefox, then it works.
>
> In what way do you find this works?  When I enter this into firefox
> (either interactively or from the command line) I get a kind of 404 page
> "The page you requested could not be found" (see attached).

You are right, I'm meanwhile completely confused.
I retried, and I have to use the %23 notation to open the page
  successfully, that is
    http://www.murata.com/en-global/products/productdetail?partno=GRM21BR61E226ME44%23

I've mislead myself completely,
  and fooled myself when searching for the problem.

At the end, I've not used the blessed org command C-l C-o `org-insert-link'
  to copy the %23 annotated link into the org file.
I've incorrectly used C-y `yank' to simply paste it into the org file.
C-l C-o would have caused a second round of %-hex encoding to transform
  GRM21BR61A226ME51%23 --> GRM21BR61A226ME51%2523
The second round will decode to %23 when `browse-url' is invoked
  and firefox will open the page successfully.

Sorry, please put this bug report deeply into the Trash Can.

Best Regards
  Robert Larice